//#include "mysql_priv.h" //to call THD structure
//#include "./include/mysql.h" // to call MYSQL* socket data type

extern bool doze;

void close_all_connections(THD *thd);

int compute_timeleft(THD * thd, time_t deadline);

int external_file_test(void);

void write_log(char *msg);

void write_log(int msg);

void write_log(const char *msg);

void parse_header(THD *thd, char *packet);

char* check_global_schema(char* packet);

MYSQL *do_local_host(THD* thd);

MYSQL *check_connection(THD* thd, char* server_ip, bool prepare);

MYSQL *check_connection(THD* thd, char* server_ip);

int send_deadlines(THD *thd , MYSQL *mysql);

int manet_rollback(THD *thd);

int send_rollback(THD *thd);

int manet_commit(THD *thd);

int send_commit(THD *thd, char command[8]);

MYSQL* connect_to_participant(THD *thd , char* server_ip , char* uid , char* pwd , char *db, bool prepare, char transid[20]);

MYSQL* connect_to_participant(THD *thd , char* server_ip , char* uid , char* pwd , char *db);

int send_query_to_participant(MYSQL *mysql , char *query);

int store_result(THD *thd,MYSQL *mysql,char *tab_name);

int drop(THD *thd,char *tab_name);

int store_desc(THD *thd , MYSQL *mysql , char *tab_name);

void safe_write_log(char *msg,int lenght);

char * get_table_names(TABLE_LIST *);

long int set_deadlines(THD * thd, String *deadline1, String *deadline2);

pthread_t realtime_scheduler_setprio(THD* current_thread, char * query);

pthread_t realtime_scheduler_unsetprio(THD* current_thread, char * query);

char ** check_global_schema_t(TABLE_LIST * tables);

MYSQL *  send_query(THD * thd);

char * get_password(char * user);

void kill_thread_with_no_time_left(THD * thd);

bool preparable(int input, bool started);

void set_power_status(THD* current_thread);
